=== debian/changelog ===
libodsstream (0.6.2-3ubuntu1) trusty; urgency=medium

  * deb package for Ubuntu 14.04

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Aug 2018 11:59:09 +0000

libodsstream (0.6.2-3) stretch; urgency=medium

  * ODS reader problem is fixed

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 16 Aug 2018 10:17:04 +0200

libodsstream (0.6.2-2) stretch; urgency=medium

  * read anchor text value (bug fix)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Aug 2018 15:43:22 +0200

libodsstream (0.6.2-1) stretch; urgency=medium

  * read anchor text value

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Aug 2018 14:23:10 +0200

libodsstream (0.6.1-1) stretch; urgency=medium

  * bug fix on odscolorscale

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 15 May 2018 12:52:23 +0200

libodsstream (0.6.0-2) stretch; urgency=medium

  * API fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 30 Apr 2018 17:06:43 +0200

libodsstream (0.6.0-1) stretch; urgency=medium

  * code refactoring, new API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 30 Apr 2018 13:32:31 +0200

libodsstream (0.5.2-2) stretch; urgency=medium

  * fix documentation install problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 14 Apr 2018 17:15:52 +0200

libodsstream (0.5.2-1) stretch; urgency=medium

  * ODS color scale fixed for sheetnames containing spaces

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 09 Apr 2018 13:42:30 +0200

libodsstream (0.5.1-1) stretch; urgency=medium

  * new color scale conditional format feature

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 11 Mar 2018 08:02:15 +0100

libodsstream (0.4.13-3) stretch; urgency=medium

  * fix rename problem using virtual package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 12 Feb 2018 10:57:44 +0100

libodsstream (0.4.13-2) stretch; urgency=medium

  * add a conflict on the old binary package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 12 Feb 2018 09:23:50 +0100

libodsstream (0.4.13-1) stretch; urgency=medium

  * newer debian configuration files

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 11 Feb 2018 16:01:22 +0100

libodsstream (0.4.12-1) stretch; urgency=medium

  [ Olivier Langella ]
  * first attempt to build an official debian package

  [ Andreas Tille ]
  * Add watch file
  * Set Debichem team as maintainer
  * Add Vcs fields
  * cme fix dpkg-control
  * source/format: 3.0 (quilt)
  * remove dbgsym packages
  * d/rules: short dh
  * Add missing Build-Depends: cmake
  * debhelper 10
  * Standards-Version: 4.1.2

  [ Olivier Langella ]
  * newer debian configuration files

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Nov 2017 14:53:53 +0100
