=== debian/control ===
Source: libodsstream
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               qtbase5-dev,
               libquazip5-dev,
               qtbase5-dev,
               doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/libodsstream.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/libodsstream.git
Homepage: http://pappso.inra.fr/bioinfo

Package: libodsstream-qt5
Depends: libodsstream-qt5-0, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libodsstream-qt5-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libodsstream-qt5 ( << 0.4.13 )
Replaces: libodsstream-qt5 ( << 0.4.13 )
Breaks: libodsstream-qt5 ( << 0.4.13 )
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.
 .
 This package contains the shared library.

Package: libodsstream-dev
Depends: libodsstream-qt5-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libodsstream-qt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodsstream-qt5-0 (= ${binary:Version}),
         ${misc:Depends},
         libquazip-dev
Conflicts: libodsstream-dev ( << 0.4.13 )
Replaces: libodsstream-dev ( << 0.4.13 )
Breaks: libodsstream-dev ( << 0.4.13 )
Description: C++ library to read or write ODS files (development files)
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.
 .
 This package contains the header files of the library.

Package: libodsstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: doxygen documentation of the ODSstream library
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.
 .
 This package provides the documentation of the library.

Package: ods2tsv
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
         libodsstream-qt5-0 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ODS to TSV file converter
 Simple command line interface utility that takes one or more ods files
 as input and convert them into tabulated separated value (simple text files).
 Each ods file will create an output directory of the same name, containing all
 the spreadsheets (one tsv file per spreadsheet).
