## libodsstream 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 # 
 
 SET (LIBODSSTREAM_MAJOR_VERSION 0)
-SET (LIBODSSTREAM_MINOR_VERSION 6)
-SET (LIBODSSTREAM_PATCH_LEVEL   2)
+SET (LIBODSSTREAM_MINOR_VERSION 7)
+SET (LIBODSSTREAM_PATCH_LEVEL   0)
 SET (LIBODSSTREAM_VERSION
   "${LIBODSSTREAM_MAJOR_VERSION}.${LIBODSSTREAM_MINOR_VERSION}.${LIBODSSTREAM_PATCH_LEVEL}")
 SET (LIBODSSTREAM_LIB_NAME "libodsstream")
@@ -66,6 +66,7 @@
   MESSAGE("compiling as release with debug info version")
 ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )
 
+set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O3 -g -DNDEBUG -DQT_NO_DEBUG -Wall -Wextra")
 
 SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
@@ -203,6 +204,12 @@
 	COMMENT "Creating Debian package" VERBATIM
 )
 
+add_custom_target(lintian
+    lintian -IEi --pedantic ${changesdeb}
+    DEPENDS deb
+    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+    COMMENT "lintian check" VERBATIM
+)
 
 IF(MAKE_TEST)
   ENABLE_TESTING()
