=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+configure_file (${CMAKE_SOURCE_DIR}/src/odsstream/config.h.cmake ${CMAKE_SOURCE_DIR}/src/odsstream/config.h)
 
 if (MINGW)
 else (MINGW)
@@ -32,6 +33,7 @@
   odsstream/odsdocwriter.cpp
   odsstream/tsvdirectorywriter.cpp
   odsstream/tsvoutputstream.cpp
+  odsstream/tsvreader.cpp
 )
 
 
@@ -40,11 +42,14 @@
   ods2csv.cpp
 )
 
+SET(TSV2ODS_CPP_FILES 
+  tsv2ods.cpp
+)
+
 
 
 configure_file (${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)
 
-IF (USEQT5)
     MESSAGE ("LIBODSSTREAM_LIB_SOVERSION: ${LIBODSSTREAM_LIB_SOVERSION}")
   #qt5-default qtbase5-dev
   FIND_PACKAGE( Qt5Core REQUIRED )
@@ -93,74 +98,19 @@
 
   INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/ods2tsv DESTINATION bin)
 
-ENDIF(USEQT5)
+  
+   
+  ADD_EXECUTABLE(tsv2ods ${TSV2ODS_CPP_FILES})
+  target_include_directories (tsv2ods PUBLIC ${Qt5Core_INCLUDES} "${CMAKE_SOURCE_DIR}/src" )
+  SET_TARGET_PROPERTIES(tsv2ods
+      PROPERTIES OUTPUT_NAME tsv2ods
+      CLEAN_DIRECT_OUTPUT 1
+      CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}"
+    )
+  TARGET_LINK_LIBRARIES(tsv2ods odsstream-shared-qt5 ${Qt5Core_LIBRARIES})
 
-IF (USEQT4)
-  #qt5-default qtbase5-dev
-  FIND_PACKAGE( Qt4 COMPONENTS QTCORE QTXML QTGUI REQUIRED )
-  
-  MESSAGE ("QT_DEFINITIONS ${QT_DEFINITIONS}" )
-  MESSAGE ("QT_INCLUDE_DIR ${QT_INCLUDE_DIR}" )
-  MESSAGE ("QT_QTCORE_INCLUDE_DIR ${QT_QTCORE_INCLUDE_DIR}" )
-  MESSAGE ("QT_QTXML_INCLUDE_DIR ${QT_QTXML_INCLUDE_DIR}" )
-  
-
-  # Build the static lib
-  ADD_LIBRARY(odsstream-static-qt4 STATIC ${CPP_FILES})
-  if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
-       target_include_directories (odsstream-static-qt4 PUBLIC ${QUAZIP_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})
-   else()
-       include_directories(${QUAZIP_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})
-   endif()
-  IF (MINGW)
-    SET_TARGET_PROPERTIES(odsstream-static-qt4
-      PROPERTIES OUTPUT_NAME odsstream-qt4
-      CLEAN_DIRECT_OUTPUT 1
-      )
-  ELSE (MINGW)
-    SET_TARGET_PROPERTIES(odsstream-static-qt4
-      PROPERTIES OUTPUT_NAME odsstream-qt4
-      CLEAN_DIRECT_OUTPUT 1
-      COMPILE_DEFINITIONS "${QT_DEFINITIONS}"
-      #INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
-      )
-  ENDIF (MINGW)
-  TARGET_LINK_LIBRARIES(odsstream-static-qt4 ${LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY}  ${QUAZIP_QT4_LIBRARIES} ${QT_QTGUI_LIBRARY})
-
-  # Build the shared lib
-  ADD_LIBRARY(odsstream-shared-qt4 SHARED ${CPP_FILES})
-  if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
-    target_include_directories (odsstream-shared-qt4 PUBLIC ${QUAZIP_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})
-
-   else()
-       include_directories(${QUAZIP_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})
-   endif()
-  IF(MINGW)
-    SET_TARGET_PROPERTIES(odsstream-shared-qt4
-      PROPERTIES OUTPUT_NAME odsstream-qt4
-      CLEAN_DIRECT_OUTPUT 1
-      VERSION ${LIBODSSTREAM_VERSION}
-      SOVERSION ${LIBODSSTREAM_MAJOR_VERSION}
-      #INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
-      )
-  ELSE (MINGW)
-    SET_TARGET_PROPERTIES(odsstream-shared-qt4
-      PROPERTIES OUTPUT_NAME odsstream-qt4
-      CLEAN_DIRECT_OUTPUT 1
-      VERSION ${LIBODSSTREAM_VERSION}
-      SOVERSION ${LIBODSSTREAM_MAJOR_VERSION}
-      COMPILE_DEFINITIONS "${QT_DEFINITIONS}"
-      #INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
-      )
-  ENDIF (MINGW)
-  TARGET_LINK_LIBRARIES(odsstream-shared-qt4 ${LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY}  ${QUAZIP_QT4_LIBRARIES} ${QT_QTGUI_LIBRARY})
-
-  # Install libs
-  INSTALL(TARGETS odsstream-shared-qt4 LIBRARY DESTINATION lib${LIB_SUFFIX})
-  INSTALL(TARGETS odsstream-static-qt4 DESTINATION lib${LIB_SUFFIX})
-
-ENDIF(USEQT4)
-
+  INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/tsv2ods DESTINATION bin)
+ 
 
 
 # Install headers
