=== test/CMakeLists.txt ===
--- 
+++ 
@@ -38,50 +38,36 @@
   
   )
   
-
-IF (USEQT5)
-  IF (USEQT4)
-     SET (USEQT5 1)
-     SET (USEQT4 0)
-  ENDIF(USEQT4)
-ENDIF(USEQT5)
-
-IF (USEQT5)
   #Find the bpp-core library library:
   TEST_FIND_LIBRARY(LIBS odsstream-qt5 odsstream/odsdocreader.h)
 
   FIND_PACKAGE( Qt5Core REQUIRED )
   FIND_PACKAGE( Qt5Xml REQUIRED )
   FIND_PACKAGE( Qt5Gui REQUIRED )
-  INCLUDE_DIRECTORIES(${Qt5Core_INCLUDES} ${Qt5Xml_INCLUDES} ${Qt5Gui_INCLUDES})
+  INCLUDE_DIRECTORIES(${Qt5Core_INCLUDES} ${Qt5Xml_INCLUDES} ${Qt5Gui_INCLUDES} ${QUAZIP_INCLUDE_DIR})
   SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS} ${Qt5Xml_EXECUTABLE_COMPILE_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS}")
  
   set(QTLIBS ${Qt5Core_LIBRARIES} ${Qt5Xml_LIBRARIES} ${Qt5Gui_LIBRARIES})
-ENDIF(USEQT5)
-
-IF (USEQT4)
-  #Find the bpp-core library library:
-  TEST_FIND_LIBRARY(LIBS odsstream-qt4 odsstream/odsdocreader.h)
-
-  FIND_PACKAGE( Qt4 COMPONENTS QTCORE QTXML QTGUI REQUIRED )
-  
-  INCLUDE( ${QT_USE_FILE} )
-  set(QTLIBS "${QT_LIBRARIES}")
-ENDIF(USEQT4)
 
 ADD_EXECUTABLE(test_ods test_ods.cpp)
 MESSAGE ("library: ${LIBS}")
-TARGET_LINK_LIBRARIES(test_ods ${LIBS} ${QTLIBS})
+TARGET_LINK_LIBRARIES(test_ods ${LIBS} ${QTLIBS} ${QUAZIP_QT5_LIBRARIES})
 ADD_TEST(test_ods "test_ods")
 
 
 ADD_EXECUTABLE(test_tsv test_tsv.cpp)
-TARGET_LINK_LIBRARIES(test_tsv ${LIBS} ${QTLIBS})
+TARGET_LINK_LIBRARIES(test_tsv ${LIBS} ${QTLIBS} ${QUAZIP_QT5_LIBRARIES})
 ADD_TEST(test_tsv "test_tsv")
 
 
+
+ADD_EXECUTABLE(test_zlib test_zlib.cpp)
+TARGET_LINK_LIBRARIES(test_zlib ${LIBS} ${QTLIBS} ${QUAZIP_QT5_LIBRARIES})
+ADD_TEST(test_zlib "test_zlib")
+
+
 IF(UNIX)
-  SET_PROPERTY(TEST test_ods test_tsv ${TEST_LIST} PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_ods test_tsv test_zlib ${TEST_LIST} PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(WIN32)
