=== debian/changelog ===
libodsstream (0.7.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:06:20 +0100

libodsstream (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Depends libodsstream-qt5-dev: s/libquazip-dev/libquazip5-dev/
    Closes: #939066
  * debhelper-compat 12
  * ods2tsv Multi-Arch: foreign
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Trim trailing whitespace.
  * d/control: Remove redundant Conflicts since Breaks is sufficient,
    rather add Provides instead

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 09:05:33 +0200

libodsstream (0.7.0-2) unstable; urgency=medium

  * new API to read text files (TSV, CSV...)

  * fixes to the packaging in various ways.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 15 Feb 2019 16:53:40 +0100

libodsstream (0.6.3-1) stretch; urgency=medium

  * conformance with ODF validator

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 15 Sep 2018 22:19:19 +0200
