=== debian/control ===
Source: libodsstream
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               d-shlibs,
               qtbase5-dev,
               libquazip5-dev,
               doxygen
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
Homepage: http://pappso.inra.fr/bioinfo

Package: libodsstream-qt5-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libodsstream-qt5 ( << 0.4.13 )
Replaces: libodsstream-qt5 ( << 0.4.13 )
Provides: libodsstream-qt5
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files using streams only to be memory efficient.
 .
 This package contains the shared library.

Package: libodsstream-qt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodsstream-qt5-0 (= ${binary:Version}),
         ${misc:Depends},
         libquazip5-dev
Breaks: libodsstream-dev ( << 0.4.13 )
Replaces: libodsstream-dev ( << 0.4.13 )
Provides: libodsstream-dev
Description: C++ library to read or write ODS files (development files)
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files using streams only to be memory efficient.
 .
 This package contains the header files of the library.

Package: libodsstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: doxygen documentation of the ODSstream library
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files using streams only to be memory efficient.
 .
 This package provides the documentation of the library.

Package: ods2tsv
Architecture: any
Multi-Arch: foreign
Section: text
Depends: ${shlibs:Depends},
         libodsstream-qt5-0 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ODS to TSV file converter
 Simple command line interface utility that takes one or more ods files
 as input and convert them into tabulated separated value (simple text files).
 Each ods file will create an output directory of the same name, containing all
 the spreadsheets (one tsv file per spreadsheet).
