=== debian/watch ===
version=4

https://sourcesup.renater.fr/frs/?group_id=875 .*/libodsstream-@ANY_VERSION@@ARCHIVE_EXT@
