## libodsstream 0.7.1-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 SET (LIBODSSTREAM_MAJOR_VERSION 0)
 SET (LIBODSSTREAM_MINOR_VERSION 7)
-SET (LIBODSSTREAM_PATCH_LEVEL   0)
+SET (LIBODSSTREAM_PATCH_LEVEL   1)
 SET (LIBODSSTREAM_VERSION
   "${LIBODSSTREAM_MAJOR_VERSION}.${LIBODSSTREAM_MINOR_VERSION}.${LIBODSSTREAM_PATCH_LEVEL}")
 SET (LIBODSSTREAM_LIB_NAME "libodsstream")
