=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
   odsstream/writer/structure/settingsxml.cpp
   odsstream/writer/structure/manifestxml.cpp
   odsstream/odsdocwriter.cpp
+  odsstream/qtablewriter.cpp
   odsstream/tsvdirectorywriter.cpp
   odsstream/tsvoutputstream.cpp
   odsstream/tsvreader.cpp
