=== debian/changelog ===
libodsstream (0.7.1-1) stretch; urgency=medium

  * new QtableWriter object

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 Mar 2019 10:52:14 +0100

libodsstream (0.7.0-2) stretch; urgency=medium

  * new API to read text files (TSV, CSV...)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Dec 2018 10:49:23 +0100
